# OpenID Test client
[![Build Status](https://drone.communiquons.org/api/badges/pierre/oidc-test-client/status.svg)](https://drone.communiquons.org/pierre/oidc-test-client)

Test application of OpenID authentication flow, built using the Rust programming language.

## Run with docker
```bash
docker run --env CONFIGURATION_URL=<OIDC_DISCOVERY_URL> --env CLIENT_ID=<CLIENT_ID> --env CLIENT_SECRET=<CLIENT_SECRET> -ti -p 7510:7510 pierre42100/oidc_test_client 
```

For example:
```bash
docker run --env CONFIGURATION_URL=http://192.168.2.103.nip.io:8000/.well-known/openid-configuration --env CLIENT_ID=testclient --env CLIENT_SECRET=clisec -ti -p 7510:7510 pierre42100/oidc_test_client
```

Then go to http://localhost:7510/ to try it out

## Run without docker
```bash
cargo run -- -c <OIDC_DISCOVERY_URL> --client-id <CLIENT_ID> --client-secret <CLIENT_SECRET>
```

For example:
```bash
cargo run -- -c http://192.168.2.103.nip.io:8000/.well-known/openid-configuration --client-id testclient --client-secret clisec
```